# Class CIM_VirtualEthernetSwitchSettingData
extends CIM_VirtualSystemSettingData

CIM_VirtualEthernetSwitchSettingData specializes CIM_VirtualSystemSettingDatato add the specific properties required to define a virtual Ethernet bridge.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_VirtualSystemSettingData
|
+--CIM_VirtualEthernetSwitchSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_VirtualEthernetSwitchSettingData specializes CIM_VirtualSystemSettingDatato add the specific properties required to define a virtual Ethernet bridge.
UMLPackagePath | string | CIM::Core::Virtualization
Version | string | 2.35.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
EVBMode | uint16 |

Description

string

Describes the Ethernet virtual bridge mode that this bridge is operating in. The value 2(VEB) indicates that the associated port on the adjacent bridge is not configured for Reflective Relay and 3 (VEPA) indicates that the associated port on the adjacent bridge is configured for Reflective Relay as defined in IEEE 802.1Qbg. The value 4 (Direct) indicates that a bridge is directly connected to or is part of a hardware Ethernet NIC. The value 5 (S-VLAN Component) indicates that this is an S-VLAN component as defined in IEEE 802.1Qbg.

ModelCorrespondence | string | CIM_VirtualEthernetSwitchSettingData.OtherEVBMode
ValueMap | string | 0, 1, 2, 3, 4, 5, .., 0x8000..0xFFFF
Values | string | Unknown, Other, VEB, VEPA, Direct, S-VLAN Component, DMTF Reserved, Vendor Reserved
MaxNumMACAddress | uint32 |
Description | string | This property specifies the number of unique MAC addresses that can be learned by the bridge to support MAC Address Learning, as defined in the IEEE 802.1D standard or in a VLAN-aware bridge this property specifies the number of MAC,VID pairs learned by the bridge to support learning as definded in the IEEE 802.1Q standard.
OtherEVBMode | string |
Description | string | A string that shall describe the EVBMode when a well defined value is not available and EVBMode matches 1 (Other). This property should be set to null when the EVBMode is set to any other value than 1.
ModelCorrespondence | string | CIM_VirtualEthernetSwitchSettingData.EVBMode
AssociatedResourcePool | string[] |
Description | string | A list of host resource pools to be associated or that are currently associated with the Ethernet bridge for the purpose of the allocation of Ethernet connections between a virtual system and an Ethernet bridge Each non-Null value of the AssoicatedResourcePool property shall conform to the production WBEM_URI_UntypedInstancePath as defined in DSP0207
VLANConnection | string[] |
Description | string | A list of VLANs identified by these VIDs that this bridge can access

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AutomaticRecoveryAction | uint16 | CIM_VirtualSystemSettingData
AutomaticShutdownAction | uint16 | CIM_VirtualSystemSettingData
AutomaticStartupAction | uint16 | CIM_VirtualSystemSettingData
AutomaticStartupActionDelay | datetime | CIM_VirtualSystemSettingData
AutomaticStartupActionSequenceNumber | uint16 | CIM_VirtualSystemSettingData
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationDataRoot | string | CIM_VirtualSystemSettingData
ConfigurationFile | string | CIM_VirtualSystemSettingData
ConfigurationID | string | CIM_VirtualSystemSettingData
ConfigurationName | string | CIM_SettingData
CreationTime | datetime | CIM_VirtualSystemSettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData
LogDataRoot | string | CIM_VirtualSystemSettingData
RecoveryFile | string | CIM_VirtualSystemSettingData
SnapshotDataRoot | string | CIM_VirtualSystemSettingData
SuspendDataRoot | string | CIM_VirtualSystemSettingData
SwapFileDataRoot | string | CIM_VirtualSystemSettingData
VirtualSystemIdentifier | string | CIM_VirtualSystemSettingData
VirtualSystemType | string | CIM_VirtualSystemSettingData
Notes | string[] | CIM_VirtualSystemSettingData

## Class Methods